Skip to main content
POST
/
api
/
v2
/
external
/
vms
/
create
Create Vm
curl --request POST \
  --url https://api.lyceum.technology/api/v2/external/vms/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "user_public_key": "<string>",
  "hardware_profile": "<string>",
  "instance_specs": {}
}
'
{
  "vm_id": "<string>",
  "status": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "instance_specs": {},
  "ip_address": "<string>",
  "hardware_profile": "<string>",
  "gpu_count": 123,
  "name": "<string>",
  "billed": 123,
  "status_check_url": "<string>",
  "polling_message": "<string>"
}

Authorizations

Authorization
string
header
required

Pass an API key (prefixed lk_) or a JWT access token as a bearer token. Generate API keys in the dashboard at https://dashboard.lyceum.technology/api-keys.

Body

application/json

Request model for creating a new VM.

user_public_key
string
required
hardware_profile
string
required
instance_specs
Instance Specs · object

Response

Successful Response

Response model for VM operations.

vm_id
string
required
status
string
required
created_at
string<date-time>
required
instance_specs
Instance Specs · object
required
ip_address
string | null
hardware_profile
string | null
gpu_count
integer | null
name
string | null
billed
number | null
status_check_url
string | null
polling_message
string | null